This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 245314 - kernel BUG at mm/memory.c:2284
kernel BUG at mm/memory.c:2284
Status: CLOSED DUPLICATE of bug 323031
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-22 08:18 EDT by Thomas Antony
Modified: 2009-12-14 15:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-15 14:08:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg (24.54 KB, text/plain)
2007-06-22 08:18 EDT, Thomas Antony
no flags Details
/var/log/messages (77.60 KB, text/plain)
2007-06-22 08:24 EDT, Thomas Antony
no flags Details
lspci -vv (17.43 KB, text/plain)
2007-06-22 08:26 EDT, Thomas Antony
no flags Details
dmesg (43.24 KB, text/plain)
2007-07-03 10:06 EDT, Christopher Wawak
no flags Details
/var/log/messages (31.42 KB, text/plain)
2007-07-03 10:09 EDT, Christopher Wawak
no flags Details
lspci -vv (20.72 KB, application/octet-stream)
2007-07-03 10:09 EDT, Christopher Wawak
no flags Details

  None (edit)
Description Thomas Antony 2007-06-22 08:18:57 EDT
Description of problem:
I'm running F7 on a Dell PowerEdge 2950 and dmesg and /var/log/messages show me
some kernel bugs. I can start F7 normal and did not see any problems yet.

...
Jun 21 19:13:37 srv01 kernel: vbd vbd-1-5632: 2 creating vbd structure
Jun 21 19:13:45 srv01 kernel: ------------[ cut here ]------------
Jun 21 19:13:45 srv01 kernel: kernel BUG at mm/memory.c:2284!
Jun 21 19:13:45 srv01 kernel: invalid opcode: 0000 [1] SMP 
Jun 21 19:13:45 srv01 kernel: last sysfs file: /class/net/vif2.0/address
Jun 21 19:13:45 srv01 kernel: CPU 2 
Jun 21 19:13:45 srv01 kernel: Modules linked in: netbk blktap blkbk
ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 xt_state nf_conntrack
nfnetlink ipt_REJECT xt_tcpudp iptable_filter ip_tables x_tables bridge autofs4
hidp l2cap bluetooth dm_multipath video sbs i2c_ec i2c_core dock button battery
asus_acpi backlight ac ipv6 parport_pc lp parport loop bnx2 serial_core
serio_raw sr_mod cdrom ata_generic pcspkr sg dm_snapshot dm_zero dm_mirror
dm_mod ata_piix libata shpchp megaraid_sas sd_mod scsi_mod ext3 jbd mbcache
ehci_hcd ohci_hcd uhci_hcd
Jun 21 19:13:45 srv01 kernel: Pid: 3349, comm: qemu-dm Not tainted
2.6.20-2925.11.fc7xen #1
Jun 21 19:13:45 srv01 kernel: RIP: e030:[<ffffffff80208f1a>] 
[<ffffffff80208f1a>] __handle_mm_fault+0x3e6/0x107b
Jun 21 19:13:45 srv01 kernel: RSP: e02b:ffff8801ba411dc8  EFLAGS: 00010202
Jun 21 19:13:45 srv01 kernel: RAX: ffffffff805553a0 RBX: ffff8801d9a90550 RCX:
00003ffffffff000
Jun 21 19:13:45 srv01 kernel: RDX: 00000001b9c1d000 RSI: 0000000000000067 RDI:
00003ffffffff000
Jun 21 19:13:45 srv01 kernel: RBP: ffff8801dc874440 R08: 0000000000000000 R09:
0000000000000000
Jun 21 19:13:45 srv01 kernel: R10: 0000000000000001 R11: 0000000000000246 R12:
0000000000000000
Jun 21 19:13:45 srv01 kernel: R13: ffff8801b9c1d708 R14: 00002aaaac0e1000 R15:
ffff8801d69293d8
Jun 21 19:13:45 srv01 kernel: FS:  00002aaaaaabc0f0(0000)
GS:ffffffff80579100(0000) knlGS:0000000000000000
Jun 21 19:13:45 srv01 kernel: CS:  e033 DS: 0000 ES: 0000 CR0: 0000000080050033
Jun 21 19:13:45 srv01 kernel: CR2: 0000000000000000 CR3: 00000001ba490000 CR4:
0000000000002620
Jun 21 19:13:45 srv01 kernel: Process qemu-dm (pid: 3349, threadinfo
ffff8801ba410000, task ffff8801eeb29810)
Jun 21 19:13:45 srv01 kernel: Stack:  0000000000000000 0000000000001000
00000000fffffff2 000000018027559b
Jun 21 19:13:45 srv01 kernel:  ffff8801dc874440 0000000000000708
ffff8801d9ac3b00 ffffffff8025fdf8
Jun 21 19:13:45 srv01 kernel:  ffff8801dc874440 ffff8801dc8744b0
ffff8801dc8744b0 ffffffff8025fdf8
Jun 21 19:13:45 srv01 kernel: Call Trace:
Jun 21 19:13:45 srv01 kernel:  [<ffffffff8025fdf8>] _spin_lock_irqsave+0x1a/0x23
Jun 21 19:13:45 srv01 kernel:  [<ffffffff8025fdf8>] _spin_lock_irqsave+0x1a/0x23
Jun 21 19:13:45 srv01 kernel:  [<ffffffff8026299c>] do_page_fault+0xfac/0x134b
Jun 21 19:13:45 srv01 kernel:  [<ffffffff8020df11>] do_mmap_pgoff+0x621/0x78d
Jun 21 19:13:45 srv01 kernel:  [<ffffffff8020ba24>] __might_sleep+0x26/0xd0
Jun 21 19:13:45 srv01 kernel:  [<ffffffff80240678>] do_ioctl+0x5c/0x6b
Jun 21 19:13:45 srv01 kernel:  [<ffffffff80260447>] error_exit+0x0/0x6e
Jun 21 19:13:45 srv01 kernel: 
Jun 21 19:13:45 srv01 kernel: 
Jun 21 19:13:45 srv01 kernel: Code: 0f 0b eb fe 49 8b 87 90 00 00 00 45 31 ed c7
44 24 3c 00 00 
Jun 21 19:13:45 srv01 kernel: RIP  [<ffffffff80208f1a>]
__handle_mm_fault+0x3e6/0x107b
Jun 21 19:13:45 srv01 kernel:  RSP <ffff8801ba411dc8>
Jun 21 19:13:45 srv01 kernel:  <6>device vif2.0 entered promiscuous mode
Jun 21 19:13:45 srv01 kernel: audit(1182446025.471:4): dev=vif2.0 prom=256
old_prom=0 auid=4294967295
Jun 21 19:13:45 srv01 kernel: ADDRCONF(NETDEV_UP): vif2.0: link is not ready
Jun 21 19:13:52 srv01 kernel: ------------[ cut here ]------------
Jun 21 19:13:52 srv01 kernel: kernel BUG at mm/memory.c:2284!
Jun 21 19:13:52 srv01 kernel: invalid opcode: 0000 [2] SMP 
Jun 21 19:13:52 srv01 kernel: last sysfs file: /class/misc/evtchn/dev
Jun 21 19:13:52 srv01 kernel: CPU 0 
Jun 21 19:13:52 srv01 kernel: Modules linked in: netbk blktap blkbk
ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 xt_state nf_conntrack
nfnetlink ipt_REJECT xt_tcpudp iptable_filter ip_tables x_tables bridge autofs4
hidp l2cap bluetooth dm_multipath video sbs i2c_ec i2c_core dock button battery
asus_acpi backlight ac ipv6 parport_pc lp parport loop bnx2 serial_core
serio_raw sr_mod cdrom ata_generic pcspkr sg dm_snapshot dm_zero dm_mirror
dm_mod ata_piix libata shpchp megaraid_sas sd_mod scsi_mod ext3 jbd mbcache
ehci_hcd ohci_hcd uhci_hcd
Jun 21 19:13:52 srv01 kernel: Pid: 3499, comm: qemu-dm Not tainted
2.6.20-2925.11.fc7xen #1
Jun 21 19:13:52 srv01 kernel: RIP: e030:[<ffffffff80208f1a>] 
[<ffffffff80208f1a>] __handle_mm_fault+0x3e6/0x107b
Jun 21 19:13:52 srv01 kernel: RSP: e02b:ffff88019880ddc8  EFLAGS: 00010202
Jun 21 19:13:52 srv01 kernel: RAX: ffffffff805553a0 RBX: ffff88019883a550 RCX:
00003ffffffff000
Jun 21 19:13:52 srv01 kernel: RDX: 0000000198321000 RSI: 0000000000000067 RDI:
00003ffffffff000
Jun 21 19:13:52 srv01 kernel: RBP: ffff8801d40f7840 R08: 0000000000000000 R09:
0000000000000000
Jun 21 19:13:52 srv01 kernel: R10: 0000000000000001 R11: 0000000000000246 R12:
0000000000000000
Jun 21 19:13:52 srv01 kernel: R13: ffff8801983216b0 R14: 00002aaaac0d6000 R15:
ffff8801d4688a68
Jun 21 19:13:52 srv01 kernel: FS:  00002aaaaaabc0f0(0000)
GS:ffffffff80579000(0000) knlGS:0000000000000000
Jun 21 19:13:52 srv01 kernel: CS:  e033 DS: 0000 ES: 0000 CR0: 000000008005003b
Jun 21 19:13:52 srv01 kernel: CR2: 0000000000000000 CR3: 00000001988ac000 CR4:
0000000000002620
Jun 21 19:13:52 srv01 kernel: Process qemu-dm (pid: 3499, threadinfo
ffff88019880c000, task ffff8801d0955080)
Jun 21 19:13:52 srv01 kernel: Stack:  0000000000000000 0000000000000001
ffffffff80541fa0 0000000100000001
Jun 21 19:13:52 srv01 kernel:  ffff8801d40f7840 00000000000006b0
ffff880198839b00 ffff88019880de40
Jun 21 19:13:52 srv01 kernel:  ffffffff8027f7ed ffff8801d40f78b0
ffff8801d40f78b0 ffffffff8025fdf8
Jun 21 19:13:52 srv01 kernel: Call Trace:
Jun 21 19:13:52 srv01 kernel:  [<ffffffff8027f7ed>] __wake_up_common+0x3e/0x68
Jun 21 19:13:52 srv01 kernel:  [<ffffffff8025fdf8>] _spin_lock_irqsave+0x1a/0x23
Jun 21 19:13:52 srv01 kernel:  [<ffffffff8026299c>] do_page_fault+0xfac/0x134b
Jun 21 19:13:52 srv01 kernel:  [<ffffffff8025fe7b>] _spin_unlock_irqrestore+0x9/0x19
Jun 21 19:13:52 srv01 kernel:  [<ffffffff8025f9ee>] __up_wakeup+0x35/0x67
Jun 21 19:13:52 srv01 kernel:  [<ffffffff8025fed6>] unlock_kernel+0x32/0x33
Jun 21 19:13:52 srv01 kernel:  [<ffffffff80240678>] do_ioctl+0x5c/0x6b
Jun 21 19:13:52 srv01 kernel:  [<ffffffff80260447>] error_exit+0x0/0x6e
Jun 21 19:13:52 srv01 kernel: 
Jun 21 19:13:52 srv01 kernel: 
Jun 21 19:13:52 srv01 kernel: Code: 0f 0b eb fe 49 8b 87 90 00 00 00 45 31 ed c7
44 24 3c 00 00 
Jun 21 19:13:52 srv01 kernel: RIP  [<ffffffff80208f1a>]
__handle_mm_fault+0x3e6/0x107b
Jun 21 19:13:52 srv01 kernel:  RSP <ffff88019880ddc8>
Jun 21 19:13:53 srv01 gdm[3519]: (null): cannot open shared object file: No such
file or directory
...




Version-Release number of selected component (if applicable):
2.6.20-2925.11.fc7xen

How reproducible:
always

Steps to Reproduce:
1. boot a kernel-xen
Comment 1 Thomas Antony 2007-06-22 08:18:57 EDT
Created attachment 157609 [details]
dmesg
Comment 2 Thomas Antony 2007-06-22 08:24:56 EDT
Created attachment 157610 [details]
/var/log/messages
Comment 3 Thomas Antony 2007-06-22 08:26:34 EDT
Created attachment 157611 [details]
lspci -vv
Comment 4 Christopher Wawak 2007-07-03 10:06:51 EDT
Created attachment 158442 [details]
dmesg

dmesg of AMD Opteron 2216
Comment 5 Christopher Wawak 2007-07-03 10:08:20 EDT
Seeing the same thing on AMD Dual Proc - Dual Core 2216.  No ill effects noticed
so far.
Comment 6 Christopher Wawak 2007-07-03 10:09:37 EDT
Created attachment 158444 [details]
/var/log/messages
Comment 7 Christopher Wawak 2007-07-03 10:09:58 EDT
Created attachment 158445 [details]
lspci -vv
Comment 8 Red Hat Bugzilla 2007-07-24 21:41:56 EDT
change QA contact
Comment 9 Eduardo Habkost 2007-10-10 13:26:25 EDT
This seems to be the same problem reported on bug #323031. Could you test the 
package available at: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=186926

The fix should be on the next F-7 update.
Comment 10 Thomas Antony 2007-10-15 13:42:34 EDT
No such error message since i installed this kernel version.
Comment 11 Eduardo Habkost 2007-10-15 14:08:32 EDT

*** This bug has been marked as a duplicate of 323031 ***

Note You need to log in before you can comment on or make changes to this bug.